<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">
	
	<h:outputStylesheet library="css" name="extraction/#{css}" />
	
	<f:facet name="header">
			<h:outputText value="#{titleForTaxonsAccordionItem}" />
		<h:graphicImage name="accepted.png" library="images"
			rendered="#{uiBean.parametersRequest.taxonStepIsValid}" />
	</f:facet>
	<f:loadBundle basename="org.inra.ecoinfo.glacpe.extraction.jsf.accordionsitems.phytoplancton.taxonaccordionitem" var="taxonaccordionitem"/>
	<h:outputText
		value="#{taxonaccordionitem.PROPERTY_MSG_CHOOSE_TAXON}"
		styleClass="selectionEmpty"
		rendered="#{not uiBean.parametersRequest.taxonStepIsValid}" />
	
	<h:outputText value="#{taxonaccordionitem.PROPERTY_MSG_TAXON_TITLE}"
		rendered="#{uiBean.parametersRequest.taxonStepIsValid}" />

	<rich:list value="#{uiBean.parametersRequest.listTaxonsSelected}" var="taxon" type="unordered"
	rendered="#{uiBean.parametersRequest.taxonStepIsValid}" styleClass="selectedTaxonList">
		<h:outputText value="#{taxon.localizedName}" />
		<h:graphicImage name="remove_selection.png" library="images"
			onclick="selectTaxonVO(#{taxon.taxon.id})" styleClass="buttonAction" />
	</rich:list>
</html>